Classes | Variables
libwps::MultiplanParserInternal Namespace Reference

Internal: namespace to define internal class of MultiplanParser. More...

## Classes
class | Cell
| a cellule of a Lotus spreadsheet More...
struct | Font
| the font of a MultiplanParser More...
struct | Functions
struct | State
| the state of MultiplanParser More...
struct | Zone
| a data cell zone More...

## Variables
static Functions const | s_listOperators []
static char const * | s_listFunctions []
static Functions const | s_listOperatorsV2 []
static char const * | s_listFunctionsV2 []

## Detailed Description

Internal: namespace to define internal class of MultiplanParser.

## Variable Documentation

## ◆ s_listFunctions

char const* libwps::MultiplanParserInternal::s_listFunctions[]
| static

Initial value:
=
{
"Count", "If", "IsNA", "IsError",
"Sum", "Average", "Min", "Max",
"Row", "Column", "NA", "NPV",
"Stdev", "Dollar", "Fixed", "Sin",
"Cos", "Tan", "Atan", "Pi",
"Sqrt", "Exp", "Ln", "Log",
"Abs", "Int", "Sign", "Round",
"Lookup", "Index", "Rept", "Mid",
"Len", "Value", "True", "False",
"And", "Or", "Not", "Mod",
"IterCnt", "Delta", "PV", "FV",
"NPer", "PMT", "Rate", "MIRR",
"Irr", nullptr, nullptr, nullptr,
nullptr, nullptr, nullptr, nullptr,
nullptr, nullptr, nullptr, nullptr,
nullptr, nullptr, nullptr, nullptr,
}

Referenced by libwps::MultiplanParser::readFormula().

## ◆ s_listFunctionsV2

char const* libwps::MultiplanParserInternal::s_listFunctionsV2[]
| static

Initial value:
=
{
nullptr , nullptr, nullptr, nullptr,
nullptr , nullptr, "Count", "If",
"IsNa", "IsError", "Sum", "Average",
"Min", "Max", "NA", "NPV",
"StDev", "Dollar", "Fixed", "Sin",
"Cos", "Tan", "Atan", "Pi",
"Sqrt", "Exp", "Ln", "Log10",
"Abs", "Int", "Sign", "Round",
"Rept", "Mid", "Len", "Value",
"True", "False", "And", "Or",
"Not", "Mod", "PV", "NV",
"NPER", "PMT", "Rate", "Mirr",
"Irr", nullptr , nullptr , "Date",
"Time", "Day", "Month", "WeekDay",
"Year", "Hour", "Minute", "Second",
nullptr, nullptr, nullptr, nullptr,
}

Referenced by libwps::MultiplanParser::readFormulaV2().

## ◆ s_listOperators

Functions const libwps::MultiplanParserInternal::s_listOperators[]
| static

Referenced by libwps::MultiplanParser::readFormula().

## ◆ s_listOperatorsV2

Functions const libwps::MultiplanParserInternal::s_listOperatorsV2[]
| static

Initial value:
=
{
{ "", -2}, { "", -2}, { "", -2}, { "", -2},
{ "", -2}, { "", -2}, { "", -2}, { "", -2},
{ "", -2}, { "", -2}, { "", -2}, { "", -2},
{ "", -2}, { "-", 1}, { "+", 1}, { "%", 1},
{ "", -2}, { "+", 2}, { "-", 2}, { "*", 2},
{ "/", 2}, { "^", 2}, { "<", 2}, { ">", 2},
{ "<=", 2}, { ">=", 2}, { "=", 2}, { "<>", 2},
{ "&", 2}, { "", -2}, { "", -2}, { "", -2},
{ "", -2}, { "", -2}, { "", -2}, { "", -2},
{ "", -2}, { "", -2}, { "", -2}, { "", -2},
{ "", -2}, { "", -2}, { "", -2}, { "", -2},
{ "", -2}, { "", -2}, { "", -2}, { "", -2},
}

Referenced by libwps::MultiplanParser::readFormulaV2().